> ## Documentation Index
> Fetch the complete documentation index at: https://docs.powerdrill.ai/llms.txt
> Use this file to discover all available pages before exploring further.

> Obtains information about a session you created.

# Get session

**Example request:**

<CodeGroup>
  ```curl cURL theme={null}
  curl --request GET \
    --url https://ai.data.cloud/api/v2/team/sessions/{id}?user_id=tmm-dafasdfasdfasdf  \
    --header 'x-pd-api-key: <api-key>'
  ```

  ```python Python theme={null}
  import requests

  url = "https://ai.data.cloud/api/v2/team/sessions/{id}?user_id=tmm-dafasdfasdfasdf"

  headers = {"x-pd-api-key": "<api-key>"}

  response = requests.request("GET", url, headers=headers)

  print(response.text)
  ```
</CodeGroup>

**Example response:**

```json 200 theme={null}
{
  "code": 0,
  "data": {
    "id": "cckrXXg68P8lmb59dg4yO",
    "name": "Analyze performance",
    "output_language": "HI",
    "job_mode": "AUTO",
    "max_contextual_job_history": 76,
    "agent_id": "DATA_ANALYSIS_AGENT"
  }
}
```


## OpenAPI

````yaml get /v2/team/sessions/{id}
openapi: 3.0.1
info:
  title: Team Open API Snake
  description: ''
  version: 1.0.0
servers:
  - url: https://ai.data.cloud/api
    description: 体验环境
security:
  - apikey-header-x-pd-api-key: []
tags:
  - name: Session
  - name: Dataset
  - name: Data source
  - name: File
  - name: Job
paths:
  /v2/team/sessions/{id}:
    get:
      tags:
        - Session
      summary: Get session
      description: Obtains information about a session you created.
      parameters:
        - name: id
          in: path
          description: >-
            The ID of the target session.


            To check sessions you created, call [GET
            /v2/team/sessions](/api-reference/v2/list-sessions).
          required: true
          schema:
            type: string
        - name: user_id
          in: query
          description: >-
            Your user ID, which uniquely identifies you within your team. To
            obtain your ID:


            - If you're the team admin, refer to [Check user
            information](/enterprise/users#check-user-information).

            - If you're a system or virtual user, ask your team admin to check
            your user ID by referring to [Check user
            information](/enterprise/users#check-user-information).
          required: true
          schema:
            type: string
        - name: x-pd-external-trace-id
          in: header
          description: >-
            The trace ID you set in your system to trace this request. It can be
            up to 128 characters in length. If the request fails, you can
            provide it to the Powerdrill team to help with troubleshooting.
          required: false
          example: ''
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                    description: >-
                      Status code. **0** indicates that the operation is
                      successful. Otherwise, the operation fails. For error
                      troubleshooting, refer to [Error
                      Codes](/api-reference/error-codes).
                  data:
                    description: A session object.
                    type: object
                    properties:
                      id:
                        type: string
                        description: >-
                          The session ID, which uniquely identifies the session
                          in your project.
                      name:
                        type: string
                        description: >-
                          The session name. If it is longer than 128 characters,
                          only the first 128 characters will be returned.
                      output_language:
                        type: string
                        enum:
                          - AUTO
                          - EN
                          - ES
                          - AR
                          - PT
                          - ID
                          - JA
                          - RU
                          - HI
                          - FR
                          - DE
                          - VI
                          - TR
                          - PL
                          - IT
                          - KO
                          - ZH-CN
                          - ZH-TW
                        default: AUTO
                        description: >-
                          The language in which the output is generated.
                          Possible values are:

                          - `AUTO`: adaptive recognition

                          - `EN`: English

                          - `ES`: Spanish

                          - `AR`: Arabic

                          - `PT`: Portuguese

                          - `ID`: Indonesian

                          - `JA`: Japanese

                          - `RU`: Russian

                          - `HI`: Hindi

                          - `FR`: French

                          - `DE`: German

                          - `VI`: Vietnamese

                          - `TR`: Turkish

                          - `PL`: Polish

                          - `IT`: Italian

                          - `KO`: Korean

                          - `ZH-CN`: Simplified Chinese

                          - `ZH-TW`: Traditional Chinese
                      job_mode:
                        type: string
                        description: >-
                          Job mode. Possible values are:

                          - `AUTO`: Powerdrill automatically detects your intent
                          and selects the appropriate job mode from data
                          analysis and information retrieval.

                          - `DATA_ANALYTICS`: Powerdrill focuses specifically on
                          data analysis.
                        enum:
                          - AUTO
                          - DATA_ANALYTICS
                        default: DATA_ANALYTICS
                      max_contextual_job_history:
                        type: integer
                        description: >-
                          The maximum number of recent jobs retained as context
                          for your next job run in the session, with a value
                          range from `0` to `10`. The default value is `10`.
                          Value `0` indicates that the jobs run in the session
                          are processed without any context.
                      agent_id:
                        type: string
                        enum:
                          - DATA_ANALYSIS_AGENT
                        default: DATA_ANALYSIS_AGENT
                        description: The ID of the agent. A reserved parameter. Ignore it.
                    required:
                      - id
                      - name
                required:
                  - data
                  - code
              example:
                code: 0
                data:
                  id: cckrXXg68P8lmb59dg4yO
                  name: Analyze performance
                  output_language: HI
                  job_mode: AUTO
                  max_contextual_job_history: 76
                  agent_id: DATA_ANALYSIS_AGENT
          headers:
            x-pd-trace-id:
              example: ''
              required: true
              description: >-
                The trace ID returned by Powerdrill. If a failure occurs, you
                can provide it to the Powerdrill team to assist with
                troubleshooting.
              schema:
                type: string
      deprecated: false
      security:
        - apikey-header-x-pd-api-key: []
components:
  securitySchemes:
    apikey-header-x-pd-api-key:
      type: apiKey
      in: header
      name: x-pd-api-key

````